TLS API-Referenz
v1.6.2
Cancel or revoke TLS certificate order
Cancel a not-yet-issued order before issuance, or revoke the complete issued order within the first 7 days after ordering. A full revocation invalidates all certificate versions on that order and prevents further reissue.
POST
/tls/certificate/{certificate_id}/order-cancel
TLSCertificatesByID
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
certificate_id
string
-
Pflicht
Public TLS certificate ID
Request Body
Optional order cancellation payload
tlsCertificateOrderCancelRequesttlsCertificateOrderCancelRequest
{
"comment": "example",
"revocation_reason": "unspecified"
}Felder
Name
Typ
Format
Pflicht
Description
comment
string
-
Optional
Optional provider comment for the full order cancellation request. If the request resolves to a pending-order cancellation, regfish sends a default provider note when this field is omitted.
revocation_reason
string
-
Optional
Revocation reason.
Request-Beispiel
POST
curl --request POST \
--url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/order-cancel' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'content-type: application/json' \
--data '{
"comment": "example",
"revocation_reason": "unspecified"
}'Responses
200
TLS certificate order cancellation accepted
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"id": "7K9QW3M2ZT8HJ",
"status": "pending",
"common_name": "example",
"product": "example",
"provider": "digicert",
"dns_names": [
"example"
],
"action_required": false,
"pending_reason": "validation_pending",
"pending_message": "The TLS certificate order is waiting for domain validation.",
"completion_url": "",
"organization_id": null,
"certificate_pem_available": false
}
}400
Invalid request or revocation reason
Response-Beispiel 400
{
"success": false,
"message": "Invalid request or revocation reason",
"error": "Invalid request or revocation reason"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
TLS certificate not found
Response-Beispiel 404
{
"success": false,
"message": "TLS certificate not found",
"error": "TLS certificate not found"
}409
The TLS certificate order cannot be cancelled or revoked in its current state
Response-Beispiel 409
{
"success": false,
"message": "The TLS certificate order cannot be cancelled or revoked in its current state",
"error": "The TLS certificate order cannot be cancelled or revoked in its current state"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}502
Upstream TLS provider error
Response-Beispiel 502
{
"success": false,
"message": "Upstream TLS provider error",
"error": "Upstream TLS provider error"
}Verwandte Modelle
baseResult
baseResult
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
tlsCertificateDcvMethod
tlsCertificateDcvMethod
tlsCertificateId
Public TLS certificate ID
tlsCertificateOrderCancelRequest
tlsCertificateOrderCancelRequest
tlsCertificateOrderCancellationMode
tlsCertificateOrderCancellationMode
tlsCertificateOrganization
tlsCertificateOrganization
tlsCertificateProvider
tlsCertificateProvider
tlsCertificateReissueResponse
tlsCertificateReissueResponse
tlsCertificateReissueStatus
tlsCertificateReissueStatus
tlsCertificateResponse
tlsCertificateResponse
tlsCertificateRevocationReason
Revocation reason.
tlsCertificateRevocationScope
tlsCertificateRevocationScope
tlsCertificateStatus
tlsCertificateStatus
tlsOrganizationId
Public TLS organization ID
tlsOrganizationStatus
tlsOrganizationStatus
tlsValidation
tlsValidation
tlsValidationDnsRecord
tlsValidationDnsRecord
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.